Debian Bug report logs - #305705
program terminates when terminal resizes && gauge is running

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Eduard Bloch <blade@debian.org>

Date: Thu, 21 Apr 2005 15:33:03 UTC

Severity: normal

Tags: upstream

Found in versions 1.0-20050306-1, dialog/1.1-20100428-1

Fixed in version dialog/1.1-20110302-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#305705; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <blade@debian.org>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eduard Bloch <blade@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: program terminates when terminal resizes && gauge is running
Date: Thu, 21 Apr 2005 17:21:10 +0200
Package: dialog
Version: 1.0-20050306-1
Severity: important
Tags: upstream

Hello,

the subject says it all, and this problem is easy to reproduce: Start
this in an xterm:

(for x in `seq 100` ; do sleep 1; echo $x ; done) | dialog --gauge foo 20 20 0

and then resize the window while it's running. Dialog exits with 0
return code.

I guess that this has something to do with the SIGWINCH handling, but
not sure. If there is a workaround, it should be documented.

Regards,
Eduard.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.11.7
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages dialog depends on:
ii  debianutils                 2.13.2       Miscellaneous utilities specific t
ii  libc6                       2.3.2.ds1-21 GNU C Library: Shared libraries an
ii  libncursesw5                5.4-4        Shared libraries for terminal hand

-- no debconf information



Severity set to `normal'. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #10 received at 305705-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@his.com>
Cc: 305705-forwarded@bugs.debian.org, control@bugs.debian.org, Eduard Bloch <blade@debian.org>
Subject: Bug#305705: program terminates when terminal resizes && gauge is running (fwd)
Date: Thu, 28 Apr 2005 20:32:10 +0200 (CEST)
severity 305705 normal
thanks

Received this from the Debian bug system. While I agree that the bug
might be annoying, it has been hidden for at least 3 years, since it
may be reproduced with dialog_0.9a-20020309a-1 in woody, so I do not
consider it more important than other bugs.

---------- Forwarded message ----------
From: Eduard Bloch <blade@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Date: Thu, 21 Apr 2005 17:21:10 +0200
Subject: Bug#305705: program terminates when terminal resizes && gauge is running

Package: dialog
Version: 1.0-20050306-1
Severity: important
Tags: upstream

Hello,

the subject says it all, and this problem is easy to reproduce: Start
this in an xterm:

(for x in `seq 100` ; do sleep 1; echo $x ; done) | dialog --gauge foo 20 20 0

and then resize the window while it's running. Dialog exits with 0
return code.

I guess that this has something to do with the SIGWINCH handling, but
not sure. If there is a workaround, it should be documented.

Regards,
Eduard.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.11.7
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages dialog depends on:
ii  debianutils                 2.13.2       Miscellaneous utilities specific t
ii  libc6                       2.3.2.ds1-21 GNU C Library: Shared libraries an
ii  libncursesw5                5.4-4        Shared libraries for terminal hand

-- no debconf information



Bug 305705 cloned as bug 306856. Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eduard Bloch <blade@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 305705-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 305705-close@bugs.debian.org
Subject: Bug#305705: fixed in dialog 1.0-20050911-1
Date: Mon, 12 Sep 2005 07:02:05 -0700
Source: dialog
Source-Version: 1.0-20050911-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.0-20050911-1.diff.gz
  to pool/main/d/dialog/dialog_1.0-20050911-1.diff.gz
dialog_1.0-20050911-1.dsc
  to pool/main/d/dialog/dialog_1.0-20050911-1.dsc
dialog_1.0-20050911-1_powerpc.deb
  to pool/main/d/dialog/dialog_1.0-20050911-1_powerpc.deb
dialog_1.0-20050911.orig.tar.gz
  to pool/main/d/dialog/dialog_1.0-20050911.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 305705@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 12 Sep 2005 15:18:50 +0200
Source: dialog
Binary: dialog
Architecture: source powerpc
Version: 1.0-20050911-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 298882 305705 312622 326918
Changes: 
 dialog (1.0-20050911-1) unstable; urgency=low
 .
   * New upstream release.
   - Added Large File Support (Closes: #298882).
   - The gauge widget now handles SIGWINCH (Closes: #305705).
   - Updated translations (Closes: #312622).
   - Fixed segfault problem when using multiple widgets (Closes: #326918).
Files: 
 00f5ca20f7b0633b3fae352f54903ae0 593 misc optional dialog_1.0-20050911-1.dsc
 fb7e646552bf870e5fe17d60c1fac380 307686 misc optional dialog_1.0-20050911.orig.tar.gz
 d0a099837b996f6fa3c49c4cce62e747 7896 misc optional dialog_1.0-20050911-1.diff.gz
 f143391490c64d1a8b6206d9e2f58113 207362 misc optional dialog_1.0-20050911-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDJYWUd9Uuvj7yPNYRAppTAJ91PH8H5hvTIth59JzcJ38uY/kpVwCbBQhZ
Y8hDvCFHeBxI7qkgHgZ8a+E=
=0kmK
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 10:38:47 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Kari Pahula <kaol@debian.org> to control@bugs.debian.org. (Sat, 13 Nov 2010 05:15:04 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions dialog/1.0-20050911-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 13 Nov 2010 05:15:04 GMT) Full text and rfc822 format available.

Bug Marked as found in versions dialog/1.1-20100428-1. Request was from Kari Pahula <kaol@debian.org> to control@bugs.debian.org. (Sat, 13 Nov 2010 05:15:05 GMT) Full text and rfc822 format available.

Message #26 received at 305705-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@invisible-island.net>
Cc: 305705-forwarded@bugs.debian.org, Kari Pahula <kaol@debian.org>
Subject: Bug#305705: dialog --gauge and resizes segfault again
Date: Sat, 13 Nov 2010 13:28:36 +0100 (CET)
Hello.

A user has just reopened this old bug. I've checked the initial
report, and the bug is certainly here again. Way to reproduce it:

(for x in `seq 100` ; do sleep 1; echo $x ; done) | dialog --gauge foo 20 20 0

and then resize the window while it's running.


Thanks.




Message #27 received at 305705-forwarded@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Santiago Vila <sanvila@unex.es>
Cc: Thomas Dickey <dickey@invisible-island.net>, 305705-forwarded@bugs.debian.org, Kari Pahula <kaol@debian.org>
Subject: Re: Bug#305705: dialog --gauge and resizes segfault again
Date: Sat, 13 Nov 2010 07:44:48 -0500 (EST)
On Sat, 13 Nov 2010, Santiago Vila wrote:

> Hello.
>
> A user has just reopened this old bug. I've checked the initial
> report, and the bug is certainly here again. Way to reproduce it:
>
> (for x in `seq 100` ; do sleep 1; echo $x ; done) | dialog --gauge foo 20 20 0
>
> and then resize the window while it's running.

I don't see it in a quick check, but perhaps I can reproduce it with some
more careful testing (thanks).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. (Tue, 10 May 2011 16:18:20 GMT) Full text and rfc822 format available.

Notification sent to Eduard Bloch <blade@debian.org>:
Bug acknowledged by developer. (Tue, 10 May 2011 16:18:20 GMT) Full text and rfc822 format available.

Message #32 received at 305705-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 305705-close@bugs.debian.org
Subject: Bug#305705: fixed in dialog 1.1-20110302-1
Date: Tue, 10 May 2011 16:02:15 +0000
Source: dialog
Source-Version: 1.1-20110302-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.1-20110302-1.debian.tar.gz
  to main/d/dialog/dialog_1.1-20110302-1.debian.tar.gz
dialog_1.1-20110302-1.dsc
  to main/d/dialog/dialog_1.1-20110302-1.dsc
dialog_1.1-20110302-1_amd64.deb
  to main/d/dialog/dialog_1.1-20110302-1_amd64.deb
dialog_1.1-20110302.orig.tar.gz
  to main/d/dialog/dialog_1.1-20110302.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 305705@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 10 May 2011 17:39:00 +0200
Source: dialog
Binary: dialog
Architecture: source amd64
Version: 1.1-20110302-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 305705 570634
Changes: 
 dialog (1.1-20110302-1) unstable; urgency=low
 .
   * New upstream release.
   * Added --disable-rpath-hack to debian/rules configure call.
   * Correct handling of SIGWINCH in gauge widget (Closes: #305705).
   * Account for combining characters when wrapping text (Closes: #570634).
Checksums-Sha1: 
 34f3499f422cb8d3f93510108f6b5adb92e702db 1382 dialog_1.1-20110302-1.dsc
 ba4e79abaf579e0d23f247ae65196437f8d8e031 423269 dialog_1.1-20110302.orig.tar.gz
 2872fdfbfe1055d64abf9c0ab0f2a60a5d6ef311 10148 dialog_1.1-20110302-1.debian.tar.gz
 2168102801097a5935b450634491cc9be31d55ed 304508 dialog_1.1-20110302-1_amd64.deb
Checksums-Sha256: 
 e256dafcd11cb5dbc08e349798a09f2062ba48bf536dfea16b84ceb0758ab490 1382 dialog_1.1-20110302-1.dsc
 d316f5ddd66b8d139b164de4e0e2911f57daa338de8a765316529190f5660657 423269 dialog_1.1-20110302.orig.tar.gz
 01f4a67b8060f40ef5420ae5d3c3fac503fa024988555ff561429698d709a7d2 10148 dialog_1.1-20110302-1.debian.tar.gz
 afd87cf9d49e603c18fbff16e545a6ca98b819ec094994b4c03087ecdec6ba11 304508 dialog_1.1-20110302-1_amd64.deb
Files: 
 5859f0db4a571e4f25bbd216f3c115e4 1382 misc optional dialog_1.1-20110302-1.dsc
 2eaa82055b86006e205d2c3f74d9b800 423269 misc optional dialog_1.1-20110302.orig.tar.gz
 a9cbce5a748e3cdf25c4e314ad72129e 10148 misc optional dialog_1.1-20110302-1.debian.tar.gz
 30a554a6a8e06c91e0d2e4bc68fc8dd5 304508 misc optional dialog_1.1-20110302-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBCAAGBQJNyVyRAAoJEEHOfwufG4syE9MH/1yk8Ru5GEtu6ZF9JGqqhkCt
KUQ7uFJaN3FLU5ikXNnVkm7tj8bBLOhbemk6BhZcSrgoTlz6cic25qFuA5LjcjQh
L74BedNggS0lXvUyjOPyfotQveSqfpV3NM2OekMcbLGJSCZY2dykPlqR/307E38C
TEU+A5MXIqkYLHtsKtCl0cYKATCd4MxhGbw4MFGRiEJNdxIDCNHRTU7cK9XIdjbe
ZNLbyLcxLGCLBIqlCfhgAMutGj9Oj4zIE5woGyJtpResKukX73gtQrcvesIagi/U
wQcoTgJAS54WgEfYNC4c0WDLlaPMotsvgWpKVz1GTx3/YzL8AUGKWKatrR9vs9A=
=BXdU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 Jun 2011 07:30:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:36:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.